#!BuildIgnore:          post-build-checks
%define		lib	libpki
%define		ver	0_1_9
%define		major	0
%define		libname	%{lib}-%{ver}-%{major}

Name:		%{libname}
Version:	0.1.9
Release:	12.12
Url:		https://www.openca.org/projects/libpki/
Summary:	Easy-to-use PKI library
License:	GPL
Group:		Development/Librarys
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source:		http://ftp.openca.org/libpki/releases/v%{version}/sources/%{lib}-%{version}.tar.bz2
Patch0:		%{lib}-configure.in.patch
Patch1:		%{lib}-configure.patch
Patch2:		%{lib}-global.patch

BuildRequires:	openssl-devel libxml2-devel mysql-devel postgresql-devel

%if 0%{?suse_version}
BuildRequires:	openldap2-devel
%endif

%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequries:	openldap-devel
%endif

%description
The LibPKI Project is aimed to provide an easy-to-use PKI library for PKI enabled application development. The library provides the developer with all the needed functionalities to manage certificates, from generation to validation. The LibPKI Project enables developers with the possibility to implement complex cryptographic operations with a few simple function calls by implementing an high-level cryptographic API. 


%package devel
Group:		Development/Librarys
Summary:	LibPKI development headers and librarys

%description devel
LibPKI development headers and librarys

%prep

%setup -n %{lib}-%{version}
%ifarch x86_64
%patch0
autoreconf -fi
%else
%patch1
%endif
%patch2
./configure --prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--datadir=%{_datadir} \
	--localstatedir=%{_localstatedir}

%build
%__make 

%install

%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README* COPYING ChangeLog AUTHORS
%config %{_sysconfdir}/%{lib}
%{_libdir}/libpki-%{version}.so.*
%{_datadir}/%{lib}

%files devel
%defattr(-,root,root)
%{_bindir}/libpki-config
%{_includedir}/%{lib}
%{_libdir}/libpki.*
%{_libdir}/pkgconfig/%{lib}.pc

%changelog
* Mon Nov 10 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
